### Method

# AppStream Component set_compulsory_for_desktop

#### Declaration [src]

    void
    as_component_set_compulsory_for_desktop (
      AsComponent* cpt,
      const gchar* desktop
    )

#### Description [src]

Mark this component to be compulsory for the specified desktop environment.

#### Parameters

`desktop`

  Type: `const gchar*`

  The name of the desktop.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.